import { useQuery } from "@tanstack/react-query";
import { getDealTagColorsOptions } from "@/lib/client/@tanstack/react-query.gen";

const useTagColorList = () => {
    const { data, refetch } = useQuery(getDealTagColorsOptions());

    return {
        colors: data?.items ?? [],
        refetch,
    };
};

export default useTagColorList;
